# image v1

## image create

Create/upload an image

    openstack image create
        [--id <id>]
        [--store <store>]
        [--container-format <container-format>]
        [--disk-format <disk-format>]
        [--size <size>]
        [--min-disk <disk-gb>]
        [--min-ram <ram-mb>]
        [--location <image-url>]
        [--copy-from <image-url>]
        [--file
        <file>
        |
        --volume <volume>
        ]
        [--force]
        [--checksum <checksum>]
        [--protected
        |
        --unprotected
        ]
        [--public | --private]
        [--property <key=value>]
        [--project <project>]
        <image-name>

--id <id>

  Image ID to reserve

--store <store>

  Upload image to this store

--container-format <container-format>

  Image container format. The supported options are: ami, ari, aki, bare, docker, ova, ovf. The default format is: bare

--disk-format <disk-format>

  Image disk format. The supported options are: ami, ari, aki, vhd, vmdk, raw, qcow2, vhdx, vdi, iso, ploop. The default format is: raw

--size <size>

  Image size, in bytes (only used with –location and –copy-from)

--min-disk <disk-gb>

  Minimum disk size needed to boot image, in gigabytes

--min-ram <ram-mb>

  Minimum RAM size needed to boot image, in megabytes

--location <image-url>

  Download image from an existing URL

--copy-from <image-url>

  Copy image from the data store (similar to –location)

--file <file>

  Upload image from local file

--volume <volume>

  Create image from a volume

--force

  Force image creation if volume is in use (only meaningful with –volume)

--checksum <checksum>

  Image hash used for verification

--protected

  Prevent image from being deleted

--unprotected

  Allow image to be deleted (default)

--public

  Image is accessible to the public

--private

  Image is inaccessible to the public (default)

--property <key=value>

  Set a property on this image (repeat option to set multiple properties)

--project <project>

  Set an alternate project on this image (name or ID)

image-name

  New image name

## image delete

Delete image(s)

    openstack image delete <image> [<image> ...]

image

  Image(s) to delete (name or ID)

## image list

List available images

    openstack image list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--public | --private]
        [--property <key=value>]
        [--long]
        [--sort <key>[:<direction>]]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--public

  List only public images

--private

  List only private images

--property <key=value>

  Filter output based on property

--long

  List additional fields in output

--sort <key>[:<direction>]

  Sort output by selected keys and directions(asc or desc) (default: name:asc), multiple keys and directions can be specified separated by comma

## image save

Save an image locally

    openstack image save
        [--chunk-size <chunk-size>]
        [--file <filename>]
        <image>

--chunk-size <chunk-size>

  Size in bytes to read from the wire and buffer at one time (default: 1024)

--file <filename>

  Downloaded image save filename (default: stdout)

image

  Image to save (name or ID)

## image set

Set image properties

    openstack image set
        [--name <name>]
        [--min-disk <disk-gb>]
        [--min-ram <disk-ram>]
        [--container-format <container-format>]
        [--disk-format <disk-format>]
        [--size <size>]
        [--protected | --unprotected]
        [--public
        |
        --private
        ]
        [--property <key=value>]
        [--store <store>]
        [--location <image-url>]
        [--copy-from <image-url>]
        [--file <file>]
        [--volume <volume>]
        [--force]
        [--stdin]
        [--checksum <checksum>]
        [--project <project>]
        <image>

--name <name>

  New image name

--min-disk <disk-gb>

  Minimum disk size needed to boot image, in gigabytes

--min-ram <disk-ram>

  Minimum RAM size needed to boot image, in megabytes

--container-format <container-format>

  Image container format. The supported options are: ami, ari, aki, bare, docker, ova, ovf

--disk-format <disk-format>

  Image disk format. The supported options are: ami, ari, aki, vhd, vmdk, raw, qcow2, vhdx, vdi, iso, ploop.

--size <size>

  Size of image data (in bytes)

--protected

  Prevent image from being deleted

--unprotected

  Allow image to be deleted (default)

--public

  Image is accessible to the public

--private

  Image is inaccessible to the public (default)

--property <key=value>

  Set a property on this image (repeat option to set multiple properties)

--store <store>

  Upload image to this store

--location <image-url>

  Download image from an existing URL

--copy-from <image-url>

  Copy image from the data store (similar to –location)

--file <file>

  Upload image from local file

--volume <volume>

  Create image from a volume

--force

  Force image change if volume is in use (only meaningful with –volume)

--stdin

  Read image data from standard input

--checksum <checksum>

  Image hash used for verification

--project <project>

  Set an alternate project on this image (name or ID)

image

  Image to modify (name or ID)

## image show

Display image details

    openstack image show [--human-readable] <image>

--human-readable

  Print image size in a human-friendly format.

image

  Image to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.